# Common Processing Instruction Reference

$Id: pi.xsl 8349 2009-03-17 06:53:03Z bobstayton $

# Introduction

This is generated reference documentation for all user-specifiable processing instructions (PIs) in the “common” part of the DocBook XSL stylesheets.

You add these PIs at particular points in a document to cause specific “exceptions” to formatting/output behavior. To make global changes in formatting/output behavior across an entire document, it’s better to do it by setting an appropriate stylesheet parameter (if there is one).

# dbchoice_choice

Generates a localized choice separator

    dbchoice choice="and"|"or"|string"

## Description

Use the `dbchoice choice` PI to generate an appropriate localized “choice” separator (for example, `and` or `or`) before the final item in an inline `simplelist`

This PI is a less-than-ideal hack; support for it may disappear in the future (particularly if and when a more appropriate means for marking up "choice" lists becomes available in DocBook).

## Parameters

choice="and"

  generates a localized `and` separator

choice="or"

  generates a localized `or` separator

choice="string"

  generates a literal string separator

# dbtimestamp

Inserts a date timestamp

    dbtimestamp format="formatstring" [padding="0"|"1"]

## Description

Use the `dbtimestamp` PI at any point in a source document to cause a date timestamp (a formatted string representing the current date and time) to be inserted in output of the document.

## Parameters

format="formatstring"

  Specifies format in which the date and time are output

  For details of the content of the format string, see Date and time.

padding="0"|"1"

  Specifies padding behavior; if non-zero, padding is is added

# dbtex_delims

Generates delimiters around embedded TeX equations in output

    dbtex delims="no"|"yes"

## Description

Use the `dbtex delims` PI as a child of a `textobject` containing embedded TeX markup, to cause that markup to be surrounded by `$` delimiter characters in output.

## Parameters

dbtex delims="no"|"yes"

  Specifies whether delimiters are output

## Related Global Parameters

`tex.math.delims`

## Related Information in DocBook XSL: The Complete Guide

DBTeXMath